package com.lanyuanxiaoyao.service.configuration.entity.loki;

import org.eclipse.collections.api.map.ImmutableMap;

/**
 * 一行日志
 *
 * @author lanyuanxiaoyao
 * @date 2023-05-25
 */
public class LokiLogLine {
    private ImmutableMap<String, String> tags;
    private Long timestamp;
    private String data;

    public LokiLogLine() {
    }

    public LokiLogLine(ImmutableMap<String, String> tags, Long timestamp, String data) {
        this.tags = tags;
        this.timestamp = timestamp;
        this.data = data;
    }

    public ImmutableMap<String, String> getTags() {
        return tags;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public String getData() {
        return data;
    }

    @Override
    public String toString() {
        return "LokiLogLine{" +
                "tags=" + tags +
                ", timestamp=" + timestamp +
                ", data='" + data + '\'' +
                '}';
    }
}
